Teams for Linux suddenly broken for others using newer distros?

New Contributor

I've been using Teams for Linux (mostly the teams-insiders flavor) for a couple of years, using Microsoft's official repos to install.  I used it two weeks ago without issue.  Today, I tried to open it and found it just immediately exits.  Same behavior in both teams and teams-insiders (both packages say version 1.4.00.26453).

 

I've tried re-installing, even rebooting, with no change in behavior. 

 

Other electron apps, including code-insiders, continue to work fine.  I had an older teams version .deb lying around, so I tried that:  and the older version works fine.  Regression testing shows that everything after 1.3.00.25560 appears to not run anymore.

 

My best guess is that a recent OS upgrade to glibc (v2.35 was released Feb 3rd) has caused the particular version of electron being used for current Teams builds to crash on launch - possibly due to clone3 calls?

 

EDIT:  Confirmed.  Downgraded to glibc v2.34 and the newer Teams versions run again.  Are there any plans by MS to upgrade (or at least patch) the electron version they're using to wrap Teams?

 

EDIT2:  As a workaround, I'm going to just use the Flatpak version of Teams instead of Microsoft's repos.  It seems to work fine, and is less hassle than the other workarounds.  https://flathub.org/apps/details/com.microsoft.Teams

 

Specs:  Ubuntu 22.04 (devel repos), Kernel 5.16, 128GB RAM, nVidia RTX 2070 Super, AMD Ryzen 9 3900X, Plasma desktop / KDE 5.24.1.

 

strace:  https://pastebin.com/D7BpFhYA

 

2 Replies
Thank you for confirming this. I was not sure what just broke my teams.
Thanks a lot for the workaround Jesse, works fine for me.
Another workaround is using the web version (needs chrome) https://teams.microsoft.com/